# tlater.net server configuration

This is the NixOS configuration for [tlater.net](https://tlater.net/).

## Testing

Run a test VM with:

```
nix run
```

### Running

*Note: M-2 will bring up a console for poweroff and such*

One caveat: create a larger disk image first. This can be done by
running the following in the repository root:

```bash
qemu-img create -f qcow2 ./tlaternet.qcow2 20G
```

### New services

Whenever a new service is added, add an appropriate port binding to
`qemuNetOpts` in the default app.

There is no way to test this without binding to the host port, sadly.

## Deploying

Deployment is handled using
[deploy-rs](https://github.com/serokell/deploy-rs):

```
deploy .#tlaternet
```
