{lib, ...}: {
  users.users.tlater.password = "insecure";

  # Disable graphical tty so -curses works
  boot.kernelParams = ["nomodeset"];

  # Sets the base domain for nginx to localhost so that we
  # can easily test locally with the VM.
  services.nginx.domain = lib.mkOverride 99 "localhost";

  # Use the staging secrets
  sops.defaultSopsFile = lib.mkOverride 99 ../../keys/staging.yaml;

  # # Set up VM settings to match real VPS
  # virtualisation.memorySize = 3941;
  # virtualisation.cores = 2;
}
